#include <stdio.h>

#ifdef RTJPEG_INTERNAL

typedef struct region {
                 int start;
                 int end;
               } region;

#define        MAXREGIONS 2000
int            rtjpeg_file=0;
int            rtjpeg_eof=0;
int            rtjpeg_video_width;
int            rtjpeg_video_height;
int            editmode;
double         rtjpeg_video_frame_rate;
unsigned char *rtjpeg_rgb=0;
unsigned char *rtjpeg_buf=0;
struct region  regions[MAXREGIONS];
int            rtjpeg_keyframedist;
int            rtjpeg_effdsp;
int            rtjpeg_framescount;
int            rtjpeg_fakeframescount;
int            rtjpeg_filesize;
int            rtjpeg_startpos;
int            rtjpeg_audiodelay;
int            rtjpeg_resample;
struct rtfileheader rtjpeg_fileheader;
#else
extern int            rtjpeg_file;
extern int            rtjpeg_eof;
extern int            rtjpeg_video_width;
extern int            rtjpeg_video_height;
extern double         rtjpeg_video_frame_rate;
extern int            rtjpeg_effdsp;
extern int            rtjpeg_framescount;
extern int            rtjpeg_fakeframescount;
extern int            rtjpeg_audiodelay;
extern int            rtjpeg_resample;
extern struct rtfileheader rtjpeg_fileheader;
#endif


int            rtjpeg_open(char *tplorg);
int            rtjpeg_close();
int            rtjpeg_get_video_width();
int            rtjpeg_get_video_height();
double         rtjpeg_get_video_frame_rate();
// unsigned char *rtjpeg_get_frame();
unsigned char *rtjpeg_get_frame(int fakenumber, int *timecode, int onlyvideo,
                                unsigned char **audiodata, int *alen);

//unsigned char *rtjpeg_get_frame(int fakenumber, struct rtframeheader **fhp,
//                                int onlyvideo, int *audiolen);

int            rtjpeg_end_of_video();
int            rtjpeg_check_sig(char *fname);

